Bug 46852 - Modify display of privacy statement in system setup
Modify display of privacy statement in system setup
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: License
UCS 4.3
Other Linux
: P5 normal (vote)
: UCS 4.3-0-errata
Assigned To: Johannes Keiser
Erik Damrose
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2018-04-19 11:22 CEST by Erik Damrose
Modified: 2018-05-02 13:31 CEST (History)
3 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 3: Will affect average number of installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.309
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments
Link shown on last system setup page (61.14 KB, image/png)
2018-04-19 11:22 CEST, Erik Damrose
Details
Two tabs visible during system setup after clicking on privacy statement link (49.67 KB, image/png)
2018-04-19 11:23 CEST, Erik Damrose
Details
No tabs visible when scrolling on the privacy statement (57.42 KB, image/png)
2018-04-19 11:23 CEST, Erik Damrose
Details
Display in system setup directly - local mode (136.13 KB, image/png)
2018-04-25 18:42 CEST, Johannes Keiser
Details
Display in system setup directly - non local mode (108.22 KB, image/png)
2018-04-25 18:43 CEST, Johannes Keiser
Details
Last page of system setup in german - scrollbar visible (65.09 KB, image/png)
2018-04-27 15:03 CEST, Erik Damrose
Details
additional buttons shown while privacy statement is viewed (86.51 KB, image/png)
2018-04-27 15:04 CEST, Erik Damrose
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Erik Damrose univentionstaff 2018-04-19 11:22:28 CEST
Created attachment 9505 [details]
Link shown on last system setup page

With Bug #46742 System Setup was modified and now shows a link to the Univention privacy statement. I see several useability issues with current implementation:

* An internet connection is required, because the privacy statement is shown on the univention website (https://www.univention.com/privacy-statement/). I would expect that the statement is shown from a local source.

* A new Tab is opened in the system-setup browser session. When installing UCS, the user is shown no indication that a browser is used. Now, when clicking the link, we show two tabs, see screenshots. This is highly irritating to me and no good useability imho. Also, there is the possitility for the user to shutdown the browser by clicking (x) in the top right corner or to close the System Setup running in the other tab. One would have to restart UCS to get system-setup back. DVD installs will start downloading packages for appliance mode.

* Once the user scrolls down on the privacy statement page, the tabs disappear, see screenshot. CTRL+W closes the browser tab, or when moving the mouse to the top, the tabs reappear. There is no obvious mechanism to get back to system setup. Users may simply stop at this point.

I would suggest to rework the privacy statement display, and maybe show a popup with the text loaded from a local source.
Comment 1 Erik Damrose univentionstaff 2018-04-19 11:23:09 CEST
Created attachment 9506 [details]
Two tabs visible during system setup after clicking on privacy statement link
Comment 2 Erik Damrose univentionstaff 2018-04-19 11:23:34 CEST
Created attachment 9507 [details]
No tabs visible when scrolling on the privacy statement
Comment 3 Johannes Keiser univentionstaff 2018-04-25 18:39:24 CEST
06113e3 Bug #46852: Show privacy statement locally in appliance wizard
c027d79 Bug #46852: Debian changelog
1b86cff Bug #46852: YAML entry
cc09c84 Bug #46852: Merge branch 'jkeiser/46852_modify_display_of_privacy_statement' into 4.3-0
6f21f9b Bug #46852: YAML update version

Package: univention-system-setup
Version: 11.0.4-6A~4.3.0.201804251833
Comment 4 Johannes Keiser univentionstaff 2018-04-25 18:42:33 CEST
Created attachment 9513 [details]
Display in system setup directly - local mode
Comment 5 Johannes Keiser univentionstaff 2018-04-25 18:43:35 CEST
Created attachment 9514 [details]
Display in system setup directly - non local mode
Comment 6 Erik Damrose univentionstaff 2018-04-27 15:03:24 CEST
The current implementation looks way better than before, thanks.

I found one more useability issue, REOPENing..

The popup displaying the privacy statement is shown for the display height, not the site height. This creates an issue with our UCS appliance: The default screen resolution in our appliances is 800x600. On the last page, the page height can be more than the display height, e.g. some additional software was selected during system setup. Due to longer sentences in german, there is always a scrollbar shown. If i now scroll down to see the 'start setup' and 'back' buttons and then click the privacy statement link, the buttons on the bottom stay visible. I can click on 'back' and 'start setup' while the popup is still visible. See screenshots.

The popup should cover the display area, regardless of where the user is on the page vertically.
Comment 7 Erik Damrose univentionstaff 2018-04-27 15:03:55 CEST
Created attachment 9517 [details]
Last page of system setup in german - scrollbar visible
Comment 8 Erik Damrose univentionstaff 2018-04-27 15:04:28 CEST
Created attachment 9518 [details]
additional buttons shown while privacy statement is viewed
Comment 9 Johannes Keiser univentionstaff 2018-04-27 16:20:29 CEST
c21be46 Bug #46852: scroll to top when viewing privacy statement in local mode
32b2543 Bug #46852: debian changelog
24667c3 Bug #46852: YAML update version

Package: univention-system-setup
Version: 11.0.4-7A~4.3.0.201804271615
Comment 10 Erik Damrose univentionstaff 2018-05-02 09:45:16 CEST
OK: scroll to top when displaying privacy statement
OK: yaml
Verified
Comment 11 Arvid Requate univentionstaff 2018-05-02 13:31:22 CEST
<http://errata.software-univention.de/ucs/4.3/26.html>